curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
Connect
Create a Connect
POST
/
entities
/
{ent_id}
/
connect
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
Creates a new Connect request to connect all liability accounts for the Entity.
Operation Type: or
Your request is processed asynchronously if
Prefer: respond-async header is set or if products / subscriptions are specified. You’ll receive a webhook when it’s complete.An initial Connect request will connect all liability accounts (closed and active),
all subsequent Connect requests will only return new accounts for an Entity.
Path Parameters
Query Parameters
Body
Returns
Returns a object.curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "cxn_4ewMmBbjYDMR4",
"entity_id": "ent_qKNBB68bfHGNA",
"status": "completed",
"accounts": [
"acc_eKKmrXDpJBKgw",
"acc_GV8WbmJW7KGRy",
"acc_MLPKh9gQDDbT8",
"acc_LbXE8wVYJLrKt",
"acc_J3P9fayDFjpAy",
"acc_eFFRV9zmpLREK"
],
"requested_products": [],
"requested_subscriptions": [],
"error": null,
"created_at": "2024-04-12T14:56:46.645Z",
"updated_at": "2024-04-12T14:56:46.645Z"
}
⌘I